% Integracijska metoda Runge-Kutta 2. reda - INTEG_RK4.M
function[cas,yy]=INTEG_RK4(y,par,krm)

%cas	casovni vektor
%yy	    rezultati
%par	parametri modela
%krm	krmilni parametri simulacije
%krm(1) dolzina sim. teka
%krm(2) racunski korak
i=1;

%simulacijska zanka
for t=0:krm(2):krm(1);
    
	%  izracun koeficientov k1,k2,k3 in k4
		k1=krm(2)*DERIV(t,y,par);
        k2=krm(2)*DERIV(t+0.5*krm(2),y+0.5*k1,par);	
        k3=krm(2)*DERIV(t+0.5*krm(2),y+0.5*k2,par);	
        k4=krm(2)*DERIV(t+krm(2),y+k3,par);
    
	%   shranjevanje rezultatov
        yy(i,:)=y;
        cas(i)=t;

		
   	%  integracija po enokoracni RK4 metodi 
    %  (izracun stanj za naslednji rac. korak)

        y=y+1/6*k1+1/3*k2+1/3*k3+1/6*k4;
        i=i+1;
end
