function f = pdn_prf(c)
% System parameters used by SIMULINK model
t0 = 0 ;    % Start time
tf = 10 ;   % End time
h = .1 ;   % Time step size
opts=simset('SrcWorkspace','current') ;   % Set to use current workspace
opts=simset(opts,'DstWorkspace','current') ;
[t,x] = sim('sysmdl_m',[t0:h:tf],opts) ;  % Get the trajectory
plot(t,x);
hold on;
[nt,nx] = size(x) ;
jp = zeros(1,nt) ; % Preallocate performance integrand
for i = 1:nt
  jp(i) = x(i,:)*x(i,:)' ; % Integrand of objective function
end
f = h*(sum(jp)-(jp(1)+jp(nt))/2) ;  % Trapezoidal integration
