clear;
dt=1;			% rac. korak
Tmax=200;		%cas sim. teka

%zacetna stanja
y1=0;
y2=0;
y3=0;

%parametri modela
k1=10;
k2=0.5;
k3=0.5;
T1=10;
T2=20;
T3=20;
i=1;
%simulacijska zanka
for t=0:dt:Tmax

   % 1. izracun odvodov - DERIV
	p=1;		%vhodni signal	
	y1p=k1/T1*p-1/T1*y1;
	y2p=k2/T2*y1-1/T2*y2;
	y3p=k3/T3*y2-1/T3*y3;

   % 2.Prikaz rezultatov
   %   shranjevanje v vektorje za kasnejsi prikaz
	cas(i)=t;
	yy(i,1)=y1;
	yy(i,2)=y2;
	yy(i,3)=y3;

    % 3. Integracija po enokoracni EULER-jevi metodi
	y3=y3+y3p*dt;
	y2=y2+y2p*dt;
	y1=y1+y1p*dt;
    
    i=i+1;
end

%Prikaz rezultatov po simulacijskem teku
figure(1);
plot(cas,yy);
hold on
t=0:dt:Tmax
G1=tf(10,[10 1])
G2=tf(0.5,[20 1])
G3=tf(0.5,[20 1])
G1G2=series(G1,G2)
Gs=series(G1G2,G3)
y=step(Gs,t);
plot(t,y,':');


