%Temperaturni regulacijski sistem
%Simulacija z osnovnim programiranjem v Matlabu

%Konstante modela
DELTAY=1; PMAX=5; GAIN=2; TIMCON=1; T1=1; T2=1
THE=15; TDELAY =0.; THW0=1;

%Opis referennega signala
REFX=[0 6  9 15 21];
REFY=[15 20 18 20 15];
   
%Krmilni parametri simulacije
DT=0.02; TFIN=24;

%Inicializacija polja za realizacijo mrtvega casa
INDEX=TDELAY/DT+1;
WORK= zeros(1,INDEX);   

%Zacetni pogoji
THW=THW0; U=0; K=1;
 
%Zacetek simulacijske zanke
for T=0:DT:TFIN;
    %Generacija referencne temperature
    for I=1:5;
        if T>=REFX(I);
        THR=REFY(I);
        end
    end
    TH=THW+THE;  

    %Izracun pogreska 
    E=THR-TH;

    %Histereza
    if E>DELTAY/2
        U=1;
    elseif E<-DELTAY/2
        U=0;
    end

    %Preraun v mo grelca
    P=PMAX*U;

    %Realizacija mrtvega casa
    for I=INDEX:-1:2
        WORK(I)=WORK(I-1);
    end
    WORK(1)=P;
    PD=WORK(INDEX);

    %Izracun odvoda (DERIV)
    THWD=(-1/TIMCON)*THW+(GAIN/TIMCON)*PD;
    
    %Lahko upotevamo razlini asovni kostanti pri ogrevanju in ohlajanju
    if THWD<0
        TIMCON=T2;
    elseif THWD>=0
        TIMCON=T1;
    end
    
    %Shranjevanje rezultatov (OUTPUT)
    T_1(K)=T;THR_1(K)=THR;P_1(K)=P;TH_1(K)=TH;

    K=K+1;

    % Eulerjeva integrac. metoda (INTEG)
    THW=THW+THWD*DT;
 
end

%Prikaz rezultatov
plot(T_1,THR_1,T_1,P_1,T_1,TH_1)    